<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "web" middleware group. Make something great!
|
*/

Route::get('/', function () {
    return view('pages.index', ['title' => 'Hello from Laravel', 'page_name'=> 'Framework Laravel']);
})->name('url_index');
//Route::view("/","pages.index")->name("url_index");

Route::get('/about-php', function () {
    return view('pages.php-lang', ['content' => 'PHP', 'page_name'=> 'About PHP']);
})->name('url_php');


Route::get('/about-laravel', function () {
    return view('pages.laravel', ['content' => 'Laravel', 'page_name'=> 'About Laravel']);
})->name('url_laravel');
//Route::view('/about-laravel', 'pages.laravel', ['content' => 'Laravel', 'page_name'=> 'About Laravel'])->name('url_laravel');

Route::get('/welcome', function () {
    return view('welcome');
});
